## ide-editor-page ide-editor-page |

## Functions

GFile * | ide_editor_page_get_file ()
IdeBuffer * | ide_editor_page_get_buffer ()
IdeSourceView * | ide_editor_page_get_view ()
IdeEditorSearch * | ide_editor_page_get_search ()
const gchar * | ide_editor_page_get_language_id ()
void | ide_editor_page_scroll_to_line ()
void | ide_editor_page_scroll_to_line_offset ()
gboolean | ide_editor_page_get_auto_hide_map ()
void | ide_editor_page_set_auto_hide_map ()
gboolean | ide_editor_page_get_show_map ()
void | ide_editor_page_set_show_map ()
GtkSourceLanguage * | ide_editor_page_get_language ()
void | ide_editor_page_set_language ()
void | ide_editor_page_move_next_error ()
void | ide_editor_page_move_previous_error ()
void | ide_editor_page_move_next_search_result ()
void | ide_editor_page_move_previous_search_result ()

## Properties

gboolean | auto-hide-map | Read / Write
IdeBuffer * | buffer | Read / Write / Construct Only
IdeEditorSearch * | search | Read
gboolean | show-map | Read / Write
IdeSourceView * | view | Read

## Types and Values

#define | IDE_TYPE_EDITOR_PAGE
| IdeEditorPage

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── IdePage
                            ╰── IdeEditorPage

## Implemented Interfaces

IdeEditorPage implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### ide_editor_page_get_file ()

    GFile *
    ide_editor_page_get_file (IdeEditorPage *self);

Gets the GFile that represents the current file. This may be a temporary file, but a GFile will still be used for the temporary file.

#### Parameters

self | a IdeEditorPage |

#### Returns

a GFile for the current buffer.

[transfer none]

Since: 3.32

### ide_editor_page_get_buffer ()

    IdeBuffer *
    ide_editor_page_get_buffer (IdeEditorPage *self);

Gets the underlying buffer for the view.

#### Parameters

self | a IdeEditorPage |

#### Returns

An IdeBuffer.

[transfer none]

Since: 3.32

### ide_editor_page_get_view ()

    IdeSourceView *
    ide_editor_page_get_view (IdeEditorPage *self);

Gets the IdeSourceView that is part of the IdeEditorPage.

#### Parameters

self | a IdeEditorPage |

#### Returns

An IdeSourceView.

[transfer none]

Since: 3.32

### ide_editor_page_get_search ()

    IdeEditorSearch *
    ide_editor_page_get_search (IdeEditorPage *self);

Gets the IdeEditorSearch used to search within the document.

#### Parameters

self | a IdeEditorPage |

#### Returns

An IdeEditorSearch.

[transfer none]

Since: 3.32

### ide_editor_page_get_language_id ()

    const gchar *
    ide_editor_page_get_language_id (IdeEditorPage *self);

This is a helper to get the language-id of the underlying buffer.

#### Parameters

self | a IdeEditorPage |

#### Returns

the language-id as a string, or `NULL`.

[nullable]

Since: 3.32

### ide_editor_page_scroll_to_line ()

    void
    ide_editor_page_scroll_to_line (IdeEditorPage *self,
                                    guint line);

This is a helper to quickly jump to a given line without all the frills. It will also ensure focus on the editor view, so that refocusing the view afterwards does not cause the view to restore the cursor to the previous location.

This will move the insert cursor.

Lines start from 0.

#### Parameters

self | a IdeEditorPage |
line | the line to scroll to |

Since: 3.32

### ide_editor_page_scroll_to_line_offset ()

    void
    ide_editor_page_scroll_to_line_offset (IdeEditorPage *self,
                                           guint line,
                                           guint line_offset);

Like `ide_editor_page_scroll_to_line()` but allows specifying the line offset (column) to place the cursor on.

This will move the insert cursor.

Lines and offsets start from 0.

If `line_offset` is zero, the first non-space character of `line` will be used instead.

#### Parameters

self | a IdeEditorPage |
line | the line to scroll to |
line_offset | the line offset |

Since: 3.32

### ide_editor_page_get_auto_hide_map ()

    gboolean
    ide_editor_page_get_auto_hide_map (IdeEditorPage *self);

### ide_editor_page_set_auto_hide_map ()

    void
    ide_editor_page_set_auto_hide_map (IdeEditorPage *self,
                                       gboolean auto_hide_map);

### ide_editor_page_get_show_map ()

    gboolean
    ide_editor_page_get_show_map (IdeEditorPage *self);

### ide_editor_page_set_show_map ()

    void
    ide_editor_page_set_show_map (IdeEditorPage *self,
                                  gboolean show_map);

### ide_editor_page_get_language ()

    GtkSourceLanguage *
    ide_editor_page_get_language (IdeEditorPage *self);

Gets the GtkSourceLanguage that is used by the underlying buffer.

#### Parameters

self | a IdeEditorPage |

#### Returns

a GtkSourceLanguage or `NULL`.

[transfer none][nullable]

Since: 3.32

### ide_editor_page_set_language ()

    void
    ide_editor_page_set_language (IdeEditorPage *self,
                                  GtkSourceLanguage *language);

This is a convenience function to set the language on the underlying IdeBuffer text buffer.

#### Parameters

self | a IdeEditorPage |

Since: 3.32

### ide_editor_page_move_next_error ()

    void
    ide_editor_page_move_next_error (IdeEditorPage *self);

Moves to the next error, if any.

If there is no error, the insertion cursor is not moved.

#### Parameters

self | a IdeEditorPage |

Since: 3.32

### ide_editor_page_move_previous_error ()

    void
    ide_editor_page_move_previous_error (IdeEditorPage *self);

Moves the insertion cursor to the previous error.

If there is no error, the insertion cursor is not moved.

#### Parameters

self | a IdeEditorPage |

Since: 3.32

### ide_editor_page_move_next_search_result ()

    void
    ide_editor_page_move_next_search_result
                                   (IdeEditorPage *self);

Moves the insertion cursor to the next search result.

If there is no search result, the insertion cursor is not moved.

#### Parameters

self | a IdeEditorPage |

Since: 3.32

### ide_editor_page_move_previous_search_result ()

    void
    ide_editor_page_move_previous_search_result
                                   (IdeEditorPage *self);

Moves the insertion cursor to the previous search result.

If there is no search result, the insertion cursor is not moved.

#### Parameters

self | a IdeEditorPage |

Since: 3.32

## Types and Values

### IDE_TYPE_EDITOR_PAGE

    #define IDE_TYPE_EDITOR_PAGE (ide_editor_page_get_type())

### IdeEditorPage

    typedef struct _IdeEditorPage IdeEditorPage;

## Property Details

### The `“auto-hide-map”` property

      “auto-hide-map”            gboolean

If the overview map should be auto-hidden.

Owner: IdeEditorPage

Flags: Read / Write

Default value: FALSE

### The `“buffer”` property

      “buffer”                   IdeBuffer *

The buffer for the view.

Owner: IdeEditorPage

Flags: Read / Write / Construct Only

### The `“search”` property

      “search”                   IdeEditorSearch *

An search helper for the document.

Owner: IdeEditorPage

Flags: Read

### The `“show-map”` property

      “show-map”                 gboolean

If the overview map should be shown.

Owner: IdeEditorPage

Flags: Read / Write

Default value: FALSE

### The `“view”` property

      “view”                     IdeSourceView *

The view for editing the buffer.

Owner: IdeEditorPage

Flags: Read